#include <bits/stdc++.h>
using namespace std;
int l,h,n;
vector<int> sol;
int main(){
    scanf("%d%d",&n,&l);
    for (int i=1;i<=n;i++){
        scanf("%d",&h);
        if (h<=l) sol.push_back(i);
    }
    sol.push_back(-1);
    printf("%d\n",sol[0]);
    return 0;
}